Qyra
ReferenceSpaces

Get delete impact

Get the impact of deleting a space (affected child spaces, charts, dashboards)

GET/api/v1/projects/{projectUuid}/spaces/{spaceUuid}/delete-impact

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYesThe uuid of the space's parent project
spaceUuidstringYesThe uuid of the space to check

Responses

200 — Success

{
  "results": {
    "appCount": 0,
    "dashboardCount": 0,
    "chartCount": 0,
    "apps": [
      {
        "spaceUuid": "string",
        "uuid": "string"
      }
    ],
    "dashboards": [
      {
        "spaceUuid": "string",
        "name": "string",
        "uuid": "string"
      }
    ],
    "charts": [
      {
        "spaceUuid": "string",
        "name": "string",
        "uuid": "string"
      }
    ],
    "spaces": [
      {
        "appCount": 0,
        "dashboardCount": 0,
        "chartCount": 0,
        "parentSpaceUuid": "string",
        "name": "string",
        "uuid": "string"
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}